# AutoChef : Projet de génie logiciel et gestion de projet (INFO-F-307)

AutoChef est une application bureau développée en Java/JavaFX.
Cette application permettra à son utilisateur d'optimiser ses courses et de mieux
planifier ses repas, en lui donnant des bénéfices en termes d'économie et réduction
du gaspillage alimentaire.<br>
L'objectif de l'outil est de permettre à son utilisateur de construire une carte
sur laquelle il/elle peut localiser le lieu et les informations associées aux différents
magasins où il/elle peut acheter les ingrédients pour ses repas.
# Utilisation

AutoChef utilise Maven comme système de build et Java 8.

<strong>ATTENTION</strong> : L'application s'exécute uniquement sous Java 8, pas sur le versions ultérieures.


<!--## Compilation-->

## Démarrage

### Avec un Jar

Le jar se trouve dans `dist/` et pour le lancer `java -jar dist/g02-iteration-i.jar` où `i` représente le numéro d'itération.

La database se trouve directement dans le jar.

# Configuration :

<!--## Serveur
## Client -->


# Tests

Avec Eclipse, faire un click droit sur le dossier `test` et `run as JUnit Test`.

# Misc

## Développement

Ce projet a été développé avec Eclipse 4.6 (Neon) avec Java 8 et JavaFX 8.

## Screenshot

- Login <br>
![a](https://imgur.com/gEvYJZn.png)

- Register <br>
![a](https://imgur.com/Gu6gmjj.png)

- Edit Profile <br>
![a](https://imgur.com/Fcb8VP4.png)

- Map <br>
    * show filter<br>
    ![a](https://imgur.com/mOxPeQp.png)
    
    * show a best tour <br>
    ![a](https://imgur.com/aAi0GUP.png)

- All Grocery/Recipe  Lists<br>
![a](https://imgur.com/xCwGVQR.png)

- Details of a Grocery List <br>
![a](https://imgur.com/MPtPs2W.png)

- Results of the Search for Nearby Stores <br>
![a](https://imgur.com/xiuytwC.png)

- Details of a Recipe <br>
![a](https://imgur.com/GQOgGwu.png)

- Import Product <br>
![a](https://imgur.com/ffpEMvK.png)

- Create a new product<br>
![a](https://imgur.com/0rJRRIG.png)

- Nutritional value<br>
![a](https://imgur.com/iE2gjxX.png)


- Help Section<br>
![a](https://imgur.com/x2KFqPH.png)

## License

Le code de ce projet est en [License MIT](LICENSE)

