package tests.utils;

import be.ac.ulb.infof307.g02.utils.HashPassword;
import org.junit.Test;
import tests.BaseTest;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotEquals;

public class HashPasswordTest extends BaseTest {

    @Test
    public void isEgal_hashPassword_true() {
        String ulbHashed = "e1c3bff22f7780432abaea16be23bb5db68473957370dfeb7e717ab4599b420c83d27d87f83cf4015453ce71b4dcb42fce1bbf3b1ac534c07f60d8a6ddd71154"
                .toUpperCase();
        String hashUlb = HashPassword.hash("ULB");
        assertEquals(ulbHashed, hashUlb);
    }

    @Test
    public void isEgal_hashPassword_false() {
        String ulbHashed = "5a9648d9d511431b56c6681b16099f928357e68fa76b3a2bf7b8d42cdba4f52b40d1c7739e439ce5ba59159e5217387b5db1cb6abfb4b002f504c61102b62e7f"
                .toUpperCase();
        String hashUlb = HashPassword.hash("ULB");
        assertNotEquals(ulbHashed, hashUlb);
    }
}
