package be.ac.ulb.infof307.g02.controllers;

import be.ac.ulb.infof307.g02.views.HelpPage;
import be.ac.ulb.infof307.g02.views.HelpView;

/**
 * Controller of the helpView.
 */
public class HelpController extends Controller {

    private HelpView view;
    private ControllerMaster controllerMaster;

    public HelpController(ControllerMaster controllerMaster, HelpPage helpPage) {
        this.view = new HelpView(this, helpPage);
        this.controllerMaster = controllerMaster;
    }

    /**
     * Called when closing the view
     */
    public void onClose() {
        this.controllerMaster.onUserClosedHelp();
    }

    /**
     * Closes the View
     */
    public void close() {
        this.view.close();
    }
}
