#!/bin/bash

###Download Database Genie used in the application From these website

#echo "Download Database Started"
URL1="https://drive.google.com/uc?export=download&id=18uZdYUoa9NTiwHR2dmnkjnXJRJwd2CfS" #link for DatabaseGenie.db
URL2="https://drive.google.com/uc?export=download&id=1RViVHHG6zwdp0awABvWRW9GUL_PZShL3"
$(wget -nv -O downloadedDatabaseGenie.db $URL1)

#echo "Download Database Finished"
#echo "--------------------------"

#echo "Check if Database already exist"
returnIntValue=0

if [ -e ../resources/DatabaseGenie.db  ]
then 
#	echo "Check if Database is up-to-date"
	result_check_db=$(sqldiff --schema downloadedDatabaseGenie.db ../resources/DatabaseGenie.db)
	if [ -z "$result_check_db"]
	then
#		echo "Already up-to-date"
#		echo "Delete downloaded database"
		rm downloadedDatabaseGenie.db
	else
#		echo "Not up-to-date"
#		echo "Update in course"
		rm ../resources/DatabaseGenie.db
		mv downloadedDatabaseGenie.db ../resources/DatabaseGenie.db	
		((returnIntValue++))

	fi
else
#	echo "Database not exist, rename the downloaded database to DatabaseGenie.db"
	returnIntValue=-1
	mv downloadedDatabaseGenie.db ../resources/DatabaseGenie.db
fi

echo $returnIntValue
$(wget -nv -O downloadedDatabaseGenieTest.db $URL2)
if [ -e ../../../../../../../test/DatabaseGenieTest.db  ]
then
	rm ../../../../../../../test/DatabaseGenieTest.db 
fi

mv downloadedDatabaseGenieTest.db ../../../../../../../test/DatabaseGenieTest.db




