package be.ac.ulb.infof307.g02.models;

/**
 * Keeps track of the current logged in User. It contains a
 * unique User object and his position.
 */
public class Session {
    private User user;
    /**
     * The current position of a logged in user
     */
    private Position position;

    public Session(User user) {
        this.user = user;
    }

    public User getUser() {
        return new User(this.user);
    }

    public void setUser(User updatedUser) {
        this.user = updatedUser;
    }

    public Position getPosition() {
        return this.position;
    }

    public void setPosition(Position position) {
        this.position = position;
    }

    public String getUserName() {
        return this.user.getUserName();
    }
}
