package be.ac.ulb.infof307.g02.utils;

import be.ac.ulb.infof307.g02.models.Article;
import be.ac.ulb.infof307.g02.models.Product;
import javafx.util.Pair;

/**
 * This class can convert an Article to a Pair(Product, Double)
 * or a Pair(Product, Double) to an Article
 */
public class ArticleConverter implements ProductDoublePairConverter<Article> {

    @Override
    public Pair<Product, Double> toProductDoublePair(Article toConvert) {
        return new Pair<>(toConvert.getProduct(), toConvert.getPrice());
    }

    @Override
    public Article toObject(Pair<Product, Double> pair) {
        return new Article(pair.getKey(), pair.getValue());

    }
}
