package be.ac.ulb.infof307.g02.utils;

import be.ac.ulb.infof307.g02.models.Product;
import be.ac.ulb.infof307.g02.models.ProductAmount;
import javafx.util.Pair;

/**
 * This class can convert an ProductAmount to a Pair(Product, Double)
 * or a Pair(Product, Double) to an ProductAmount
 */
public class ProductAmountConverter implements ProductDoublePairConverter<ProductAmount> {

    @Override
    public Pair<Product, Double> toProductDoublePair(ProductAmount toConvert) {
        return new Pair<>(toConvert.getProduct(), toConvert.getAmount());
    }

    @Override
    public ProductAmount toObject(Pair<Product, Double> pair) {
        return new ProductAmount(pair.getKey(), pair.getValue());
    }
}
