package be.ac.ulb.infof307.g02.utils;

import be.ac.ulb.infof307.g02.models.Product;
import javafx.util.Pair;

/**
 * A ProductDoublePairConverter can convert a type T Pair(Product, Double) and vice versa.
 *
 * @param <T> The type that will be converted
 */
public interface ProductDoublePairConverter<T> {

    Pair<Product, Double> toProductDoublePair(T toConvert);

    T toObject(Pair<Product, Double> pair);

}
