package tests.utils;

import be.ac.ulb.infof307.g02.utils.Utils;
import org.junit.Test;
import tests.BaseTest;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

public class UtilsTest extends BaseTest {

    @Test
    public void hasSpecialChar_hasSpecialChar_ReturnTrue() {
        String specialCharList = " !\"#$%&'()*+,-./;<=>?@[^]_`{}~";
        for (int i = 0; i < specialCharList.length(); i++) {
            String specialCharacter = specialCharList.substring(i, i + 1);
            assertTrue(Utils.hasSpecialChar("abc" + specialCharacter + "def"));
        }
    }

    @Test
    public void hasSpecialChar_noSpecialChar_ReturnFalse() {
        assertFalse(Utils.hasSpecialChar("abcdef"));
        assertFalse(Utils.hasSpecialChar("123456789"));
        assertFalse(Utils.hasSpecialChar("ABCDEF"));
        assertFalse(Utils.hasSpecialChar("abcDEF123"));
    }
}
